#!/bin/sh
# -------------------------------------------------------------------------
# functions to remove not needed files                         3.10.4
#
# Creation:       lanspezi 2004-10-25
# Last Update:    $Id: _lib_cleanup.sh 40583 2015-07-22 08:59:15Z kristov $
# -------------------------------------------------------------------------

cleanup ()
{
    if [ -d "$dir_build" ]; then
        for i in opt_full.tmp rootfs.list opt.list; do
            rm -f "$dir_build"/$i
        done
    fi
}


cleanup_fli4lfiles ()
{
    if [ -d "$dir_build" ]; then
        _fli4l_files="kernel rootfs.img rc.cfg opt_tar.bz2 opt.img syslinux.cfg full_rc.cfg fli4l.iso mkfli4l.log mkfli4l_error.log mkfli4l_error.flg boot.msg boot_s.msg boot_z.msg boot_t.msg"
        for _file in $_fli4l_files; do
            rm -f "$dir_build/$_file"
        done
    fi
    rm -f "${dir_config}/etc/rc.cfg"
}

cleanup_mkfli4l ()
{
    make -C src clean
}
