/*****************************************************************************
 *  @file vartype/predef.h
 *  Functions for processing predefined variable types (private interface).
 *
 *  Copyright (c) 2012 The fli4l team
 *
 *  This file is part of fli4l.
 *
 *  fli4l is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  fli4l is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with fli4l.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Last Update: $Id: predef.h 22502 2012-06-27 07:23:40Z kristov $
 *****************************************************************************
 */

#ifndef MKFLI4L_VARTYPE_PREDEF_H_
#define MKFLI4L_VARTYPE_PREDEF_H_

#include <libmkfli4l/defs.h>

/**
 * Creates predefined types.
 */
void
vartype_create_predefined_types(void);

#endif
